Google Play: Your device isn't compatible with this version.

2 posts, 0 answers
  1. Robin
    Robin avatar
    40 posts
    Member since:
    Jul 2012

    Posted 25 Nov 2013 Link to this post

    I've made apps using Icenium Mist. When building the APK and installing on my Samsung Galaxy Tab 2 it works perfectly. But when making an APK for publishing and uploading to Google Play, it won't distribute to the Galaxy Tab 2 or other Android-tablets.

    Google Play says "Your device isn't compatible with this version.". 

    What do I need to do for the app to also be distributed to Android-tablets through Google Play?

    Edit: The app is distributed as it should to Android-phones, only tablets are unable to download.
  2. Steve
    Steve avatar
    10941 posts

    Posted 26 Nov 2013 Link to this post

    Hello Robin,

    The following forum post elaborates on your inquiry, please review it and let us know if further help is needed.

    You've missed the Icenium Visual Studio Integration keynote? It has been recorded and posted here.
    Looking for tips & tricks directly from the Icenium team? Check out our blog!
    Share feedback and vote for features on our Feedback Portal.
Back to Top